/**
 * Creates a new instance of the given class using the specified arguments.
 *
 * @param {function} aClass - The class to create an instance of.
 * @param {Array} aArguments - Arguments to pass to the class constructor.
 * @returns {object} A new instance of the class.
 *
 * @example
 * // Define a class
 * class Person {
 *   constructor(name, age) {
 *     this.name = name;
 *     this.age = age;
 *   }
 * }
 *
 * // Create a new instance of the Person class
 * const john = createObjectWith(Person, ['John', 30]);
 * console.log(john); // Output: Person { name: 'John', age: 30 }
 */
export function createObjectWith(aClass: Function, aArguments: any[]): object;
export default createObjectWith;
