"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.extend = extend;
var _extend2 = require("./_extend.js");
/**
 * Extends the prototype of the given constructor with the prototypes of one or more super constructors.
 *
 * @param {function} ctor - The constructor to extend the prototype of.
 * @param {...function} superCtors - The super constructors whose prototypes should be copied onto the extended prototype.
 * @returns {function} The extended constructor `ctor`.
 */
function extend(ctor, ...superCtors) {
  (0, _extend2._extend)(ctor.prototype, ...superCtors.map(c => c.prototype));
  ctor.prototype.constructor = ctor;
  return ctor;
}
;
var _default = exports.default = extend;