"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.getClosestCommonAncestorCtor = getClosestCommonAncestorCtor;
var _getSuperCtor = _interopRequireDefault(require("./getSuperCtor"));
var _setPrototypeOf = require("./setPrototypeOf");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
//
/**
 * Get the Lowest Common Ancestor class of two constructors.
 *
 * @param {Function} ctor  First constructor
 * @param {Function} ctor2 Second constructor
 * @returns {Function|undefined} Lowest Common Ancestor class or undefined
 */
function getClosestCommonAncestorCtor(ctor, ctor2) {
  const o = {};
  (0, _setPrototypeOf.setPrototypeOf)(o, ctor.prototype);
  while (ctor2 && ctor2 !== Object) {
    if (o instanceof ctor2) return ctor2;
    ctor2 = (0, _getSuperCtor.default)(ctor2);
  }
}
var _default = exports.default = getClosestCommonAncestorCtor;