"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.getRootCtor = getRootCtor;
var _getSuperCtor = require("./getSuperCtor");
/**
 * Get the "root" class of the ctor
 *
 * @param {Function} ctor
 * @param {Function} [rootCtor] the root ctor need to be ignore, defaults to Object
 * @returns {Function}
 */
function getRootCtor(ctor, rootCtor) {
  if (rootCtor == null) rootCtor = Object;
  let superCtor = (0, _getSuperCtor.getSuperCtor)(ctor);
  while (superCtor && superCtor !== rootCtor && superCtor !== Object) {
    ctor = superCtor;
    superCtor = (0, _getSuperCtor.getSuperCtor)(ctor);
  }
  return ctor;
}
var _default = exports.default = getRootCtor;