"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.getSuperCtor = getSuperCtor;
var _getOwnPropValue = _interopRequireDefault(require("./getOwnPropValue.js"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const getPrototypeOf = Object.getPrototypeOf;

/**
 * Return the Super Constructor of the ctor
 * @param {Function} ctor
 * @returns {Function}
 */
function getSuperCtor(ctor) {
  let ctorSuper = (0, _getOwnPropValue.default)(ctor, 'super_');
  if (!ctorSuper) {
    const ctorProto = ctor.prototype && getPrototypeOf(ctor.prototype);
    ctorSuper = ctorProto && ((0, _getOwnPropValue.default)(ctorProto, 'Class') || ctorProto.constructor);
  }
  return ctorSuper;
}
var _default = exports.default = getSuperCtor;