"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
exports.isMixinedFrom = isMixinedFrom;
var _isMixinedFromStr = require("./isMixinedFromStr.js");
/**
 * Check if a constructor is mixed from a specific constructor.
 * @param {function} ctor - The constructor to check.
 * @param {function|string} superCtor - The constructor to check if the `ctor` is mixed from.  Can be the name of the constructor.
 * @returns {boolean} - True if `ctor` is mixed from `superCtor`, otherwise false.
 */
function isMixinedFrom(ctor, superCtor) {
  if (typeof superCtor === 'string') {
    return (0, _isMixinedFromStr.isMixinedFromStr)(ctor, superCtor);
  }
  const mixinCtors = ctor.mixinCtors_;
  let result = false;
  if (mixinCtors) {
    result = mixinCtors.indexOf(superCtor);
    result = result >= 0;
  }
  return result;
}
;
var _default = exports.default = isMixinedFrom;